Skip to main content
GET
Get a brew session

Authorizations

X-API-Key
string
header
required

An API key created from a signed-in session. See Authentication.

Path Parameters

id
string<uuid>
required

Session id

Response

The session

A brew session with its full brew day checklist.

id
string<uuid>
read-only

Unique identifier

user_id
string
read-only

Owning account

recipe_id
string<uuid>

Recipe being brewed

name
string | null

Session name

status
enum<string>

Current status

Available options:
planning,
brewing,
fermenting,
complete
brew_date
string | null

Brew date (YYYY-MM-DD)

notes
string | null

Session notes

actual_og
number | null

Measured original gravity

actual_fg
number | null

Measured final gravity

fermenting_since
string | null

When fermentation started

completed_at
string | null

When the session completed

created_at
string<date-time>
read-only

ISO 8601 timestamp

updated_at
string<date-time>
read-only

ISO 8601 timestamp

steps
object[]